public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
From: Tom de Vries <tdevries@suse.de>
To: dwz@sourceware.org, jakub@redhat.com
Subject: [committed] Add objcopy-strip-debug.sh and objcopy-remove-debug-abbrev.sh test-case
Date: Tue, 01 Jan 2019 00:00:00 -0000	[thread overview]
Message-ID: <20190313131258.GA4116@delia> (raw)

Hi,

Add test-cases that:
- test behaviour for an executable without debug info
- test behaviour for an executable with debug info, but without
  .debug_abbrev section.

Committed to trunk.

Thanks,
- Tom

Add objcopy-strip-debug.sh and objcopy-remove-debug-abbrev.sh test-case

2019-03-13  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh: New test.
	* testsuite/dwz.tests/objcopy-strip-debug.sh: New test.

---
 testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh | 21 +++++++++++++++++++++
 testsuite/dwz.tests/objcopy-strip-debug.sh         | 21 +++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh b/testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh
new file mode 100755
index 0000000..70c59c8
--- /dev/null
+++ b/testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+objcopy --remove-section=.debug_abbrev ../hello 1
+
+cp 1 1.saved
+
+if dwz 1 2>dwz.err; status=$?; then
+    true
+fi
+
+[ $status -eq 1 ]
+
+if ! grep -q "\.debug_abbrev not present" dwz.err; then
+    exit 1
+fi
+
+cmp 1 1.saved
+
+rm -f 1 1.saved dwz.err
diff --git a/testsuite/dwz.tests/objcopy-strip-debug.sh b/testsuite/dwz.tests/objcopy-strip-debug.sh
new file mode 100755
index 0000000..9002964
--- /dev/null
+++ b/testsuite/dwz.tests/objcopy-strip-debug.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+objcopy --strip-debug ../hello 1
+
+cp 1 1.saved
+
+if dwz 1 2>dwz.err; status=$?; then
+    true
+fi
+
+[ $status -eq 1 ]
+
+if ! grep -q "\.debug_info section not present" dwz.err; then
+    exit 1
+fi
+
+cmp 1 1.saved
+
+rm -f 1 1.saved dwz.err

                 reply	other threads:[~2019-03-13 13:12 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190313131258.GA4116@delia \
    --to=tdevries@suse.de \
    --cc=dwz@sourceware.org \
    --cc=jakub@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).